package com.uas.platform.b2b.erp.model;

import java.util.Date;

import com.uas.platform.b2b.model.PurchaseOrderChangeItem;

/**
 * ERP系统的客户采购订单变更单明细
 * 
 * @author yingp
 * 
 */
public class SaleDownChangeDetail {

	private Short scd_detno;
	private Short scd_sddetno;
	private String scd_newcustprodcode;
	private String scd_newcustproddetail;
	private String scd_newcustprodspec;
	private String scd_newcustprodunit;
	private Double scd_newqty;
	private Double scd_newprice;
	private Float scd_newtaxrate;
	private Date scd_newdelivery;
	private String scd_remark;

	public Short getScd_sddetno() {
		return scd_sddetno;
	}

	public Short getScd_detno() {
		return scd_detno;
	}

	public void setScd_detno(Short scd_detno) {
		this.scd_detno = scd_detno;
	}

	public void setScd_sddetno(Short scd_sddetno) {
		this.scd_sddetno = scd_sddetno;
	}

	public String getScd_newcustprodcode() {
		return scd_newcustprodcode;
	}

	public void setScd_newcustprodcode(String scd_newcustprodcode) {
		this.scd_newcustprodcode = scd_newcustprodcode;
	}

	public String getScd_newcustproddetail() {
		return scd_newcustproddetail;
	}

	public void setScd_newcustproddetail(String scd_newcustproddetail) {
		this.scd_newcustproddetail = scd_newcustproddetail;
	}

	public String getScd_newcustprodspec() {
		return scd_newcustprodspec;
	}

	public void setScd_newcustprodspec(String scd_newcustprodspec) {
		this.scd_newcustprodspec = scd_newcustprodspec;
	}

	public String getScd_newcustprodunit() {
		return scd_newcustprodunit;
	}

	public void setScd_newcustprodunit(String scd_newcustprodunit) {
		this.scd_newcustprodunit = scd_newcustprodunit;
	}

	public Double getScd_newqty() {
		return scd_newqty;
	}

	public void setScd_newqty(Double scd_newqty) {
		this.scd_newqty = scd_newqty;
	}

	public Double getScd_newprice() {
		return scd_newprice;
	}

	public void setScd_newprice(Double scd_newprice) {
		this.scd_newprice = scd_newprice;
	}

	public Float getScd_newtaxrate() {
		return scd_newtaxrate;
	}

	public void setScd_newtaxrate(Float scd_newtaxrate) {
		this.scd_newtaxrate = scd_newtaxrate;
	}

	public Date getScd_newdelivery() {
		return scd_newdelivery;
	}

	public void setScd_newdelivery(Date scd_newdelivery) {
		this.scd_newdelivery = scd_newdelivery;
	}

	public String getScd_remark() {
		return scd_remark;
	}

	public void setScd_remark(String scd_remark) {
		this.scd_remark = scd_remark;
	}

	public SaleDownChangeDetail() {
	}

	public SaleDownChangeDetail(PurchaseOrderChangeItem changeItem) {
		this.scd_detno = changeItem.getNumber();
		this.scd_newcustprodcode = changeItem.getNewProduct().getCode();
		this.scd_newcustproddetail = changeItem.getNewProduct().getTitle();
		this.scd_newcustprodspec = changeItem.getNewProduct().getSpec();
		this.scd_newcustprodunit = changeItem.getNewProduct().getUnit();
		this.scd_newdelivery = changeItem.getNewDelivery();
		this.scd_newprice = changeItem.getNewPrice();
		this.scd_newqty = changeItem.getNewQty();
		this.scd_newtaxrate = changeItem.getNewTaxrate();
		this.scd_sddetno = changeItem.getOrderItem().getNumber();
	}

}
